IF OBJECT_ID('dbo.vw_fco_hist_traslados_sena') IS NOT NULL
    DROP VIEW dbo.vw_fco_hist_traslados_sena
GO
CREATE VIEW dbo.vw_fco_hist_traslados_sena
AS
SELECT compania, trabajador, YEAR(fecha_alta) anio, MONTH(fecha_alta) mes
FROM hist_agrupaciones h
WHERE agrupacion = 'TIPO_COTIZ'
AND dato = '19'
AND EXISTS
(SELECT 1 FROM hist_agrupaciones x
 WHERE x.compania = h.compania AND x.agrupacion = h.agrupacion
 AND x.trabajador = h.trabajador 
 AND x.fecha_baja = h.fecha_alta
 AND x.dato = '12')
GO
GRANT ALL ON vw_fco_hist_traslados_sena TO PUBLIC
GO


